import request from '@/utils/request'

// 查询更衣柜列表
export function listWardrobe(query) {
  return request({
    url: '/production/wardrobe/list',
    method: 'get',
    params: query
  })
}

// 查询更衣柜详细
export function getWardrobe(id) {
  return request({
    url: '/production/wardrobe/' + id,
    method: 'get'
  })
}

// 新增更衣柜
export function addWardrobe(data) {
  return request({
    url: '/production/wardrobe',
    method: 'post',
    data: data
  })
}

// 修改更衣柜
export function updateWardrobe(data) {
  return request({
    url: '/production/wardrobe',
    method: 'put',
    data: data
  })
}

// 删除更衣柜
export function delWardrobe(id) {
  return request({
    url: '/production/wardrobe/' + id,
    method: 'delete'
  })
}

// 导出更衣柜
export function exportWardrobe(query) {
  return request({
    url: '/production/wardrobe/export',
    method: 'get',
    params: query
  })
}